#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/Persistence/autoload.php \
		--template debian/autoload.php.tpl \
		src
	# Mimic Composer path for tests
	mkdir --parents vendor
	phpabtpl \
		--require-file ../src/Persistence/autoload.php \
		--require doctrine/persistence \
		--require symfony/cache \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit --bootstrap vendor/autoload.php

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog
